#import <iostream>
#import <cmath>
#import <string>
using namespace std;

int main(){
    int n, k;
    cin >> n >> k;
    int spil[n] = {};
    for(int i = 0; i < n; i++){
        int x;
        cin >> x;
        spil[i] = x;
    }
    if(k == spil[n - 1]){
        cout << spil[0];
    }else{
        int pos = n;
        for(int i = 0; i < n-1; i++){
            if(spil[i] == k){
                cout << spil[i + 1];
                break;
            }
        }
    }
}